Index: trunk/NEMO/LIM_SRC/limrst.F90
===================================================================
--- trunk/NEMO/LIM_SRC/limrst.F90	(revision 682)
+++ trunk/NEMO/LIM_SRC/limrst.F90	(revision 683)
@@ -36,5 +36,5 @@
    !!----------------------------------------------------------------------
    !!   LIM 2.0,  UCL-LOCEAN-IPSL (2006) 
-   !! $Header$ 
+   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/LIM_SRC/limrst.F90,v 1.15 2007/06/29 14:54:06 opalod Exp $ 
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
@@ -193,55 +193,55 @@
          &                   '   control of time parameter  nrstdt' )
 
-      CALL iom_get( numrir, jpdom_local, 'hicif' , hicif  )    
-      CALL iom_get( numrir, jpdom_local, 'hsnif' , hsnif  )    
-      CALL iom_get( numrir, jpdom_local, 'frld'  , frld   )    
-      CALL iom_get( numrir, jpdom_local, 'sist'  , sist   )    
+      CALL iom_get( numrir, jpdom_autoglo, 'hicif' , hicif  )    
+      CALL iom_get( numrir, jpdom_autoglo, 'hsnif' , hsnif  )    
+      CALL iom_get( numrir, jpdom_autoglo, 'frld'  , frld   )    
+      CALL iom_get( numrir, jpdom_autoglo, 'sist'  , sist   )    
 # if defined key_coupled 
-      CALL iom_get( numrir, jpdom_local, 'albege', albege )    
+      CALL iom_get( numrir, jpdom_autoglo, 'albege', albege )    
 # endif
-      CALL iom_get( numrir, jpdom_local, 'tbif1' , tbif(:,:,1) )    
-      CALL iom_get( numrir, jpdom_local, 'tbif2' , tbif(:,:,2) )    
-      CALL iom_get( numrir, jpdom_local, 'tbif3' , tbif(:,:,3) )    
-      CALL iom_get( numrir, jpdom_local, 'u_ice' , u_ice  )    
-      CALL iom_get( numrir, jpdom_local, 'v_ice' , v_ice  )    
-      CALL iom_get( numrir, jpdom_local, 'gtaux' , gtaux  )    
-      CALL iom_get( numrir, jpdom_local, 'gtauy' , gtauy  )    
-      CALL iom_get( numrir, jpdom_local, 'qstoif', qstoif )    
-      CALL iom_get( numrir, jpdom_local, 'fsbbq' , fsbbq  )    
-      CALL iom_get( numrir, jpdom_local, 'sxice' , sxice  )
-      CALL iom_get( numrir, jpdom_local, 'syice' , syice  )
-      CALL iom_get( numrir, jpdom_local, 'sxxice', sxxice )
-      CALL iom_get( numrir, jpdom_local, 'syyice', syyice )
-      CALL iom_get( numrir, jpdom_local, 'sxyice', sxyice )
-      CALL iom_get( numrir, jpdom_local, 'sxsn'  , sxsn   )
-      CALL iom_get( numrir, jpdom_local, 'sysn'  , sysn   )
-      CALL iom_get( numrir, jpdom_local, 'sxxsn' , sxxsn  )
-      CALL iom_get( numrir, jpdom_local, 'syysn' , syysn  )
-      CALL iom_get( numrir, jpdom_local, 'sxysn' , sxysn  )
-      CALL iom_get( numrir, jpdom_local, 'sxa'   , sxa    )
-      CALL iom_get( numrir, jpdom_local, 'sya'   , sya    )
-      CALL iom_get( numrir, jpdom_local, 'sxxa'  , sxxa   )
-      CALL iom_get( numrir, jpdom_local, 'syya'  , syya   )
-      CALL iom_get( numrir, jpdom_local, 'sxya'  , sxya   )
-      CALL iom_get( numrir, jpdom_local, 'sxc0'  , sxc0   )
-      CALL iom_get( numrir, jpdom_local, 'syc0'  , syc0   )
-      CALL iom_get( numrir, jpdom_local, 'sxxc0' , sxxc0  )
-      CALL iom_get( numrir, jpdom_local, 'syyc0' , syyc0  )
-      CALL iom_get( numrir, jpdom_local, 'sxyc0' , sxyc0  )
-      CALL iom_get( numrir, jpdom_local, 'sxc1'  , sxc1   )
-      CALL iom_get( numrir, jpdom_local, 'syc1'  , syc1   )
-      CALL iom_get( numrir, jpdom_local, 'sxxc1' , sxxc1  )
-      CALL iom_get( numrir, jpdom_local, 'syyc1' , syyc1  )
-      CALL iom_get( numrir, jpdom_local, 'sxyc1' , sxyc1  )
-      CALL iom_get( numrir, jpdom_local, 'sxc2'  , sxc2   )
-      CALL iom_get( numrir, jpdom_local, 'syc2'  , syc2   )
-      CALL iom_get( numrir, jpdom_local, 'sxxc2' , sxxc2  )
-      CALL iom_get( numrir, jpdom_local, 'syyc2' , syyc2  )
-      CALL iom_get( numrir, jpdom_local, 'sxyc2' , sxyc2  )
-      CALL iom_get( numrir, jpdom_local, 'sxst'  , sxst   )
-      CALL iom_get( numrir, jpdom_local, 'syst'  , syst   )
-      CALL iom_get( numrir, jpdom_local, 'sxxst' , sxxst  )
-      CALL iom_get( numrir, jpdom_local, 'syyst' , syyst  )
-      CALL iom_get( numrir, jpdom_local, 'sxyst' , sxyst  )
+      CALL iom_get( numrir, jpdom_autoglo, 'tbif1' , tbif(:,:,1) )    
+      CALL iom_get( numrir, jpdom_autoglo, 'tbif2' , tbif(:,:,2) )    
+      CALL iom_get( numrir, jpdom_autoglo, 'tbif3' , tbif(:,:,3) )    
+      CALL iom_get( numrir, jpdom_autoglo, 'u_ice' , u_ice  )    
+      CALL iom_get( numrir, jpdom_autoglo, 'v_ice' , v_ice  )    
+      CALL iom_get( numrir, jpdom_autoglo, 'gtaux' , gtaux  )    
+      CALL iom_get( numrir, jpdom_autoglo, 'gtauy' , gtauy  )    
+      CALL iom_get( numrir, jpdom_autoglo, 'qstoif', qstoif )    
+      CALL iom_get( numrir, jpdom_autoglo, 'fsbbq' , fsbbq  )    
+      CALL iom_get( numrir, jpdom_autoglo, 'sxice' , sxice  )
+      CALL iom_get( numrir, jpdom_autoglo, 'syice' , syice  )
+      CALL iom_get( numrir, jpdom_autoglo, 'sxxice', sxxice )
+      CALL iom_get( numrir, jpdom_autoglo, 'syyice', syyice )
+      CALL iom_get( numrir, jpdom_autoglo, 'sxyice', sxyice )
+      CALL iom_get( numrir, jpdom_autoglo, 'sxsn'  , sxsn   )
+      CALL iom_get( numrir, jpdom_autoglo, 'sysn'  , sysn   )
+      CALL iom_get( numrir, jpdom_autoglo, 'sxxsn' , sxxsn  )
+      CALL iom_get( numrir, jpdom_autoglo, 'syysn' , syysn  )
+      CALL iom_get( numrir, jpdom_autoglo, 'sxysn' , sxysn  )
+      CALL iom_get( numrir, jpdom_autoglo, 'sxa'   , sxa    )
+      CALL iom_get( numrir, jpdom_autoglo, 'sya'   , sya    )
+      CALL iom_get( numrir, jpdom_autoglo, 'sxxa'  , sxxa   )
+      CALL iom_get( numrir, jpdom_autoglo, 'syya'  , syya   )
+      CALL iom_get( numrir, jpdom_autoglo, 'sxya'  , sxya   )
+      CALL iom_get( numrir, jpdom_autoglo, 'sxc0'  , sxc0   )
+      CALL iom_get( numrir, jpdom_autoglo, 'syc0'  , syc0   )
+      CALL iom_get( numrir, jpdom_autoglo, 'sxxc0' , sxxc0  )
+      CALL iom_get( numrir, jpdom_autoglo, 'syyc0' , syyc0  )
+      CALL iom_get( numrir, jpdom_autoglo, 'sxyc0' , sxyc0  )
+      CALL iom_get( numrir, jpdom_autoglo, 'sxc1'  , sxc1   )
+      CALL iom_get( numrir, jpdom_autoglo, 'syc1'  , syc1   )
+      CALL iom_get( numrir, jpdom_autoglo, 'sxxc1' , sxxc1  )
+      CALL iom_get( numrir, jpdom_autoglo, 'syyc1' , syyc1  )
+      CALL iom_get( numrir, jpdom_autoglo, 'sxyc1' , sxyc1  )
+      CALL iom_get( numrir, jpdom_autoglo, 'sxc2'  , sxc2   )
+      CALL iom_get( numrir, jpdom_autoglo, 'syc2'  , syc2   )
+      CALL iom_get( numrir, jpdom_autoglo, 'sxxc2' , sxxc2  )
+      CALL iom_get( numrir, jpdom_autoglo, 'syyc2' , syyc2  )
+      CALL iom_get( numrir, jpdom_autoglo, 'sxyc2' , sxyc2  )
+      CALL iom_get( numrir, jpdom_autoglo, 'sxst'  , sxst   )
+      CALL iom_get( numrir, jpdom_autoglo, 'syst'  , syst   )
+      CALL iom_get( numrir, jpdom_autoglo, 'sxxst' , sxxst  )
+      CALL iom_get( numrir, jpdom_autoglo, 'syyst' , syyst  )
+      CALL iom_get( numrir, jpdom_autoglo, 'sxyst' , sxyst  )
       
       CALL iom_close( numrir )
@@ -257,3 +257,2 @@
    !!======================================================================
 END MODULE limrst
-
Index: trunk/NEMO/OPA_SRC/DYN/dynspg_exp.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynspg_exp.F90	(revision 682)
+++ trunk/NEMO/OPA_SRC/DYN/dynspg_exp.F90	(revision 683)
@@ -40,5 +40,5 @@
    !!----------------------------------------------------------------------
    !!  OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Header$ 
+   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/OPA_SRC/DYN/dynspg_exp.F90,v 1.9 2007/06/05 10:38:27 opalod Exp $ 
    !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
@@ -238,6 +238,6 @@
       IF( TRIM(cdrw) == 'READ' ) THEN
          IF( iom_varid( numror, 'sshn' ) > 0 ) THEN
-            CALL iom_get( numror, jpdom_local, 'sshb'  , sshb(:,:)   )
-            CALL iom_get( numror, jpdom_local, 'sshn'  , sshn(:,:)   )
+            CALL iom_get( numror, jpdom_autoglo, 'sshb'  , sshb(:,:)   )
+            CALL iom_get( numror, jpdom_autoglo, 'sshn'  , sshn(:,:)   )
             IF( neuler == 0 ) sshb(:,:) = sshn(:,:)
          ELSE
Index: trunk/NEMO/OPA_SRC/DYN/dynspg_flt.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynspg_flt.F90	(revision 682)
+++ trunk/NEMO/OPA_SRC/DYN/dynspg_flt.F90	(revision 683)
@@ -59,5 +59,5 @@
    !!----------------------------------------------------------------------
    !!   OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Header$ 
+   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/OPA_SRC/DYN/dynspg_flt.F90,v 1.14 2007/06/05 10:38:27 opalod Exp $ 
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt) 
    !!----------------------------------------------------------------------
@@ -453,8 +453,8 @@
 ! Caution : extra-hallow
 ! gcx and gcxb are defined as: DIMENSION(1-jpr2di:jpi+jpr2di,1-jpr2dj:jpj+jpr2dj)
-           CALL iom_get( numror, jpdom_local, 'gcx' , gcx (1:jpi,1:jpj) )
-           CALL iom_get( numror, jpdom_local, 'gcxb', gcxb(1:jpi,1:jpj) )
-           CALL iom_get( numror, jpdom_local, 'sshb', sshb(:,:)         )
-           CALL iom_get( numror, jpdom_local, 'sshn', sshn(:,:)         )
+           CALL iom_get( numror, jpdom_autoglo, 'gcx' , gcx (1:jpi,1:jpj) )
+           CALL iom_get( numror, jpdom_autoglo, 'gcxb', gcxb(1:jpi,1:jpj) )
+           CALL iom_get( numror, jpdom_autoglo, 'sshb', sshb(:,:)         )
+           CALL iom_get( numror, jpdom_autoglo, 'sshn', sshn(:,:)         )
            IF( neuler == 0 ) THEN
               sshb(:,:) = sshn(:,:)
Index: trunk/NEMO/OPA_SRC/DYN/dynspg_rl.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynspg_rl.F90	(revision 682)
+++ trunk/NEMO/OPA_SRC/DYN/dynspg_rl.F90	(revision 683)
@@ -56,5 +56,5 @@
    !!----------------------------------------------------------------------
    !!   OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Header$ 
+   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/OPA_SRC/DYN/dynspg_rl.F90,v 1.11 2007/06/05 10:38:27 opalod Exp $ 
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt) 
    !!----------------------------------------------------------------------
@@ -517,9 +517,9 @@
      ! Caution : extra-hallow
      ! gcx and gcxb are defined as: DIMENSION(1-jpr2di:jpi+jpr2di,1-jpr2dj:jpj+jpr2dj)
-           CALL iom_get( numror, jpdom_local, 'gcx' , gcx (1:jpi,1:jpj) )
-           CALL iom_get( numror, jpdom_local, 'gcxb', gcxb(1:jpi,1:jpj) )
-           CALL iom_get( numror, jpdom_local, 'bsfb', bsfb(:,:)         )
-           CALL iom_get( numror, jpdom_local, 'bsfn', bsfn(:,:)         )
-           CALL iom_get( numror, jpdom_local, 'bsfd', bsfd(:,:)         )
+           CALL iom_get( numror, jpdom_autoglo, 'gcx' , gcx (1:jpi,1:jpj) )
+           CALL iom_get( numror, jpdom_autoglo, 'gcxb', gcxb(1:jpi,1:jpj) )
+           CALL iom_get( numror, jpdom_autoglo, 'bsfb', bsfb(:,:)         )
+           CALL iom_get( numror, jpdom_autoglo, 'bsfn', bsfn(:,:)         )
+           CALL iom_get( numror, jpdom_autoglo, 'bsfd', bsfd(:,:)         )
            IF( neuler == 0 ) THEN
               gcxb(:,:) = gcx (:,:)
Index: trunk/NEMO/OPA_SRC/DYN/dynspg_ts.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynspg_ts.F90	(revision 682)
+++ trunk/NEMO/OPA_SRC/DYN/dynspg_ts.F90	(revision 683)
@@ -51,5 +51,5 @@
    !!----------------------------------------------------------------------
    !!  OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Header$ 
+   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/OPA_SRC/DYN/dynspg_ts.F90,v 1.16 2007/06/05 10:38:27 opalod Exp $ 
    !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
@@ -627,6 +627,6 @@
       IF( TRIM(cdrw) == 'READ' ) THEN
          IF( iom_varid( numror, 'sshn' ) > 0 ) THEN
-            CALL iom_get( numror, jpdom_local, 'sshb'  , sshb(:,:)   )
-            CALL iom_get( numror, jpdom_local, 'sshn'  , sshn(:,:)   )
+            CALL iom_get( numror, jpdom_autoglo, 'sshb'  , sshb(:,:)   )
+            CALL iom_get( numror, jpdom_autoglo, 'sshn'  , sshn(:,:)   )
             IF( neuler == 0 ) sshb(:,:) = sshn(:,:)
          ELSE
@@ -637,8 +637,8 @@
          ENDIF
          IF( iom_varid( numror, 'sshn_b' ) > 0 ) THEN
-            CALL iom_get( numror, jpdom_local, 'sshb_b', sshb_b(:,:) )   ! free surface issued
-            CALL iom_get( numror, jpdom_local, 'sshn_b', sshn_b(:,:) )   ! from time-splitting loop
-            CALL iom_get( numror, jpdom_local, 'un_b'  , un_b  (:,:) )   ! horizontal transports issued
-            CALL iom_get( numror, jpdom_local, 'vn_b'  , vn_b  (:,:) )   ! from barotropic loop
+            CALL iom_get( numror, jpdom_autoglo, 'sshb_b', sshb_b(:,:) )   ! free surface issued
+            CALL iom_get( numror, jpdom_autoglo, 'sshn_b', sshn_b(:,:) )   ! from time-splitting loop
+            CALL iom_get( numror, jpdom_autoglo, 'un_b'  , un_b  (:,:) )   ! horizontal transports issued
+            CALL iom_get( numror, jpdom_autoglo, 'vn_b'  , vn_b  (:,:) )   ! from barotropic loop
             IF( neuler == 0 ) sshb_b(:,:) = sshn_b(:,:)
          ELSE
Index: trunk/NEMO/OPA_SRC/SBC/flx_core.h90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/flx_core.h90	(revision 682)
+++ trunk/NEMO/OPA_SRC/SBC/flx_core.h90	(revision 683)
@@ -47,5 +47,5 @@
    !!----------------------------------------------------------------------
    !!   OPA 9.0 , LOCEAN-IPSL (2006)
-   !! $Header$
+   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/OPA_SRC/SBC/flx_core.h90,v 1.5 2007/06/05 10:41:37 opalod Exp $
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
@@ -1105,7 +1105,7 @@
      IF( TRIM(cdrw) == 'READ' ) THEN
         IF( ln_rstart ) THEN
-              CALL iom_get( numror, jpdom_local, 'gsss', gsss )
-              CALL iom_get( numror, jpdom_local, 'gu', gu )
-              CALL iom_get( numror, jpdom_local, 'gv', gv )
+              CALL iom_get( numror, jpdom_autoglo, 'gsss', gsss )
+              CALL iom_get( numror, jpdom_autoglo, 'gu', gu )
+              CALL iom_get( numror, jpdom_autoglo, 'gv', gv )
         ENDIF ! gsss, gu, gv are initialized in the routine ( may be changed )
      ELSEIF( TRIM(cdrw) == 'WRITE' ) THEN
Index: trunk/NEMO/OPA_SRC/SOL/solisl.F90
===================================================================
--- trunk/NEMO/OPA_SRC/SOL/solisl.F90	(revision 682)
+++ trunk/NEMO/OPA_SRC/SOL/solisl.F90	(revision 683)
@@ -62,5 +62,5 @@
    !!----------------------------------------------------------------------
    !!   OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Header$ 
+   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/OPA_SRC/SOL/solisl.F90,v 1.8 2007/06/05 10:40:06 opalod Exp $ 
    !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
@@ -793,5 +793,5 @@
                   WRITE(clisl,'("island",I3)') jni
                ENDIF
-               CALL iom_get( inum, jpdom_local, clisl, bsfisl(:,:,jni))     
+               CALL iom_get( inum, jpdom_autoglo, clisl, bsfisl(:,:,jni))     
             END DO
          ENDIF
Index: trunk/NEMO/OPA_SRC/TRD/trdmld_rst.F90
===================================================================
--- trunk/NEMO/OPA_SRC/TRD/trdmld_rst.F90	(revision 682)
+++ trunk/NEMO/OPA_SRC/TRD/trdmld_rst.F90	(revision 683)
@@ -26,5 +26,5 @@
    !!---------------------------------------------------------------------------------
    !! OPA 9.0 , LOCEAN-IPSL (2006) 
-   !! $Header$ 
+   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/OPA_SRC/TRD/trdmld_rst.F90,v 1.7 2007/06/05 10:40:59 opalod Exp $ 
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!---------------------------------------------------------------------------------
@@ -135,18 +135,18 @@
     IF( ln_trdmld_instant ) THEN 
        !-- Temperature
-       CALL iom_get( inum, jpdom_local, 'tmlbb'           , tmlbb          )
-       CALL iom_get( inum, jpdom_local, 'tmlbn'           , tmlbn          )
-       CALL iom_get( inum, jpdom_local, 'tmlatfb'         , tmlatfb        )
+       CALL iom_get( inum, jpdom_autoglo, 'tmlbb'           , tmlbb          )
+       CALL iom_get( inum, jpdom_autoglo, 'tmlbn'           , tmlbn          )
+       CALL iom_get( inum, jpdom_autoglo, 'tmlatfb'         , tmlatfb        )
 
        !-- Salinity
-       CALL iom_get( inum, jpdom_local, 'smlbb'           , smlbb          )
-       CALL iom_get( inum, jpdom_local, 'smlbn'           , smlbn          )
-       CALL iom_get( inum, jpdom_local, 'smlatfb'         , smlatfb        )
+       CALL iom_get( inum, jpdom_autoglo, 'smlbb'           , smlbb          )
+       CALL iom_get( inum, jpdom_autoglo, 'smlbn'           , smlbn          )
+       CALL iom_get( inum, jpdom_autoglo, 'smlatfb'         , smlatfb        )
     ELSE
-       CALL iom_get( inum, jpdom_local, 'rmldbn'          , rmldbn         ) ! needed for rmld_sum
+       CALL iom_get( inum, jpdom_autoglo, 'rmldbn'          , rmldbn         ) ! needed for rmld_sum
 
        !-- Temperature
-       CALL iom_get( inum, jpdom_local, 'tmlbn'           , tmlbn          ) ! needed for tml_sum
-       CALL iom_get( inum, jpdom_local, 'tml_sumb'        , tml_sumb       )
+       CALL iom_get( inum, jpdom_autoglo, 'tmlbn'           , tmlbn          ) ! needed for tml_sum
+       CALL iom_get( inum, jpdom_autoglo, 'tml_sumb'        , tml_sumb       )
        DO jk = 1, jpltrd
           IF( jk < 10 )   THEN
@@ -155,11 +155,11 @@
              WRITE(charout,FMT="('tmltrd_csum_ub_', I2)") jk
           ENDIF
-          CALL iom_get( inum, jpdom_local, charout, tmltrd_csum_ub(:,:,jk) )
+          CALL iom_get( inum, jpdom_autoglo, charout, tmltrd_csum_ub(:,:,jk) )
        ENDDO
-       CALL iom_get( inum, jpdom_local, 'tmltrd_atf_sumb' , tmltrd_atf_sumb)
+       CALL iom_get( inum, jpdom_autoglo, 'tmltrd_atf_sumb' , tmltrd_atf_sumb)
 
        !-- Salinity
-       CALL iom_get( inum, jpdom_local, 'smlbn'           , smlbn          ) ! needed for sml_sum
-       CALL iom_get( inum, jpdom_local, 'sml_sumb'        , sml_sumb       )
+       CALL iom_get( inum, jpdom_autoglo, 'smlbn'           , smlbn          ) ! needed for sml_sum
+       CALL iom_get( inum, jpdom_autoglo, 'sml_sumb'        , sml_sumb       )
        DO jk = 1, jpltrd
           IF( jk < 10 )   THEN
@@ -168,7 +168,7 @@
              WRITE(charout,FMT="('smltrd_csum_ub_', I2)") jk
           ENDIF
-          CALL iom_get( inum, jpdom_local, charout, smltrd_csum_ub(:,:,jk) )
+          CALL iom_get( inum, jpdom_autoglo, charout, smltrd_csum_ub(:,:,jk) )
        ENDDO
-       CALL iom_get( inum, jpdom_local, 'smltrd_atf_sumb' , smltrd_atf_sumb)
+       CALL iom_get( inum, jpdom_autoglo, 'smltrd_atf_sumb' , smltrd_atf_sumb)
 
        CALL iom_close( inum )
Index: trunk/NEMO/OPA_SRC/ZDF/zdftke.F90
===================================================================
--- trunk/NEMO/OPA_SRC/ZDF/zdftke.F90	(revision 682)
+++ trunk/NEMO/OPA_SRC/ZDF/zdftke.F90	(revision 683)
@@ -81,5 +81,5 @@
    !!----------------------------------------------------------------------
    !!   OPA 9.0 , LOCEAN-IPSL (2006) 
-   !! $Header$ 
+   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/OPA_SRC/ZDF/zdftke.F90,v 1.16 2007/06/05 10:39:27 opalod Exp $ 
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
@@ -800,5 +800,5 @@
         IF( ln_rstart ) THEN
            IF( iom_varid( numror, 'en' ) > 0 .AND. .NOT.(ln_rstke) ) THEN 
-              CALL iom_get( numror, jpdom_local, 'en', en )
+              CALL iom_get( numror, jpdom_autoglo, 'en', en )
            ELSE
               IF(lwp .AND. iom_varid(numror,'en') > 0 ) WRITE(numout,*) ' ===>>>> : previous run without tke scheme'
Index: trunk/NEMO/OPA_SRC/restart.F90
===================================================================
--- trunk/NEMO/OPA_SRC/restart.F90	(revision 682)
+++ trunk/NEMO/OPA_SRC/restart.F90	(revision 683)
@@ -43,5 +43,5 @@
    !!----------------------------------------------------------------------
    !!  OPA 9.0 , LOCEAN-IPSL (2006) 
-   !! $Header$ 
+   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/OPA_SRC/restart.F90,v 1.27 2007/06/05 10:35:19 opalod Exp $ 
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
@@ -276,17 +276,17 @@
       !
       !                                                       ! Read prognostic variables
-      CALL iom_get( numror, jpdom_local, 'ub'   , ub    )        ! before i-component velocity
-      CALL iom_get( numror, jpdom_local, 'vb'   , vb    )        ! before j-component velocity
-      CALL iom_get( numror, jpdom_local, 'tb'   , tb    )        ! before temperature
-      CALL iom_get( numror, jpdom_local, 'sb'   , sb    )        ! before salinity
-      CALL iom_get( numror, jpdom_local, 'rotb' , rotb  )        ! before curl
-      CALL iom_get( numror, jpdom_local, 'hdivb', hdivb )        ! before horizontal divergence
-      CALL iom_get( numror, jpdom_local, 'un'   , un    )        ! now    i-component velocity
-      CALL iom_get( numror, jpdom_local, 'vn'   , vn    )        ! now    j-component velocity
-      IF( lk_vvl ) CALL iom_get( numror, jpdom_local, 'wn'   , wn    )        ! now    k-component velocity
-      CALL iom_get( numror, jpdom_local, 'tn'   , tn    )        ! now    temperature
-      CALL iom_get( numror, jpdom_local, 'sn'   , sn    )        ! now    salinity
-      CALL iom_get( numror, jpdom_local, 'rotn' , rotn  )        ! now    curl
-      CALL iom_get( numror, jpdom_local, 'hdivn', hdivn )        ! now    horizontal divergence
+      CALL iom_get( numror, jpdom_autoglo, 'ub'   , ub    )        ! before i-component velocity
+      CALL iom_get( numror, jpdom_autoglo, 'vb'   , vb    )        ! before j-component velocity
+      CALL iom_get( numror, jpdom_autoglo, 'tb'   , tb    )        ! before temperature
+      CALL iom_get( numror, jpdom_autoglo, 'sb'   , sb    )        ! before salinity
+      CALL iom_get( numror, jpdom_autoglo, 'rotb' , rotb  )        ! before curl
+      CALL iom_get( numror, jpdom_autoglo, 'hdivb', hdivb )        ! before horizontal divergence
+      CALL iom_get( numror, jpdom_autoglo, 'un'   , un    )        ! now    i-component velocity
+      CALL iom_get( numror, jpdom_autoglo, 'vn'   , vn    )        ! now    j-component velocity
+      IF( lk_vvl ) CALL iom_get( numror, jpdom_autoglo, 'wn'   , wn    )        ! now    k-component velocity
+      CALL iom_get( numror, jpdom_autoglo, 'tn'   , tn    )        ! now    temperature
+      CALL iom_get( numror, jpdom_autoglo, 'sn'   , sn    )        ! now    salinity
+      CALL iom_get( numror, jpdom_autoglo, 'rotn' , rotn  )        ! now    curl
+      CALL iom_get( numror, jpdom_autoglo, 'hdivn', hdivn )        ! now    horizontal divergence
 
 
@@ -306,10 +306,10 @@
       IF( iom_varid( numror, 'nfice' ) > 0 ) then 
          CALL iom_get( numror             , 'nfice'  , znfice  )   ! ice computation frequency
-         CALL iom_get( numror, jpdom_local, 'sst_io' , sst_io  )
-         CALL iom_get( numror, jpdom_local, 'sss_io' , sss_io  )
-         CALL iom_get( numror, jpdom_local, 'u_io'   , u_io    )
-         CALL iom_get( numror, jpdom_local, 'v_io'   , v_io    )
+         CALL iom_get( numror, jpdom_autoglo, 'sst_io' , sst_io  )
+         CALL iom_get( numror, jpdom_autoglo, 'sss_io' , sss_io  )
+         CALL iom_get( numror, jpdom_autoglo, 'u_io'   , u_io    )
+         CALL iom_get( numror, jpdom_autoglo, 'v_io'   , v_io    )
 # if defined key_coupled
-         CALL iom_get( numror, jpdom_local, 'alb_ice', alb_ice )
+         CALL iom_get( numror, jpdom_autoglo, 'alb_ice', alb_ice )
 # endif
          IF( znfice /= REAL( nfice, wp ) ) THEN      ! if nfice changed between 2 runs
@@ -343,5 +343,5 @@
       IF( iom_varid( numror, 'nfbulk' ) > 0 ) THEN 
          CALL iom_get( numror             , 'nfbulk', znfbulk )   ! bulk computation frequency
-         CALL iom_get( numror, jpdom_local, 'gsst'  , gsst    )
+         CALL iom_get( numror, jpdom_autoglo, 'gsst'  , gsst    )
          IF( znfbulk /= REAL(nfbulk, wp) ) THEN      ! if you change nfbulk between 2 runs
             zcoef = REAL( nfbulk-1, wp ) / znfbulk
@@ -359,6 +359,6 @@
 
       IF( iom_varid( numror, 'rhd' ) > 0 ) THEN
-         CALL iom_get( numror, jpdom_local, 'rhd' , rhd  )
-         CALL iom_get( numror, jpdom_local, 'rhop', rhop )
+         CALL iom_get( numror, jpdom_autoglo, 'rhd' , rhd  )
+         CALL iom_get( numror, jpdom_autoglo, 'rhop', rhop )
       ELSE
          CALL eos( tb, sb, rhd, rhop )        ! before potential and in situ densities
@@ -366,10 +366,10 @@
       IF( ln_zps .AND. .NOT. lk_cfg_1d ) THEN
          IF( iom_varid( numror, 'gtu' ) > 0 ) THEN
-            CALL iom_get( numror, jpdom_local, 'gtu' , gtu )
-            CALL iom_get( numror, jpdom_local, 'gsu' , gsu )
-            CALL iom_get( numror, jpdom_local, 'gru' , gru )
-            CALL iom_get( numror, jpdom_local, 'gtv' , gtv )
-            CALL iom_get( numror, jpdom_local, 'gsv' , gsv )
-            CALL iom_get( numror, jpdom_local, 'grv' , grv )
+            CALL iom_get( numror, jpdom_autoglo, 'gtu' , gtu )
+            CALL iom_get( numror, jpdom_autoglo, 'gsu' , gsu )
+            CALL iom_get( numror, jpdom_autoglo, 'gru' , gru )
+            CALL iom_get( numror, jpdom_autoglo, 'gtv' , gtv )
+            CALL iom_get( numror, jpdom_autoglo, 'gsv' , gsv )
+            CALL iom_get( numror, jpdom_autoglo, 'grv' , grv )
          ELSE
             CALL zps_hde( nit000, tb , sb , rhd,   &  ! Partial steps: before Horizontal DErivative