Index: trunk/NEMO/OPA_SRC/DYN/dynldf.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynldf.F90	(revision 683)
+++ trunk/NEMO/OPA_SRC/DYN/dynldf.F90	(revision 684)
@@ -39,5 +39,5 @@
    !!---------------------------------------------------------------------------------
    !!   OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Header$
+   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/OPA_SRC/DYN/dynldf.F90,v 1.4 2007/06/05 11:02:08 opalod Exp $
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
@@ -71,15 +71,15 @@
       !
       CASE ( -1 )                                       ! esopa: test all possibility with control print
-         ;              CALL dyn_ldf_lap    ( kt )
-         ;              CALL prt_ctl( tab3d_1=ua, clinfo1=' ldf0 - Ua: ', mask1=umask,   &
+                        CALL dyn_ldf_lap    ( kt )
+                        CALL prt_ctl( tab3d_1=ua, clinfo1=' ldf0 - Ua: ', mask1=umask,   &
             &                         tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
-         ;              CALL dyn_ldf_iso    ( kt )
-         ;              CALL prt_ctl( tab3d_1=ua, clinfo1=' ldf1 - Ua: ', mask1=umask,   &
+                        CALL dyn_ldf_iso    ( kt )
+                        CALL prt_ctl( tab3d_1=ua, clinfo1=' ldf1 - Ua: ', mask1=umask,   &
             &                         tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
-         ;              CALL dyn_ldf_bilap  ( kt )
-         ;              CALL prt_ctl( tab3d_1=ua, clinfo1=' ldf2 - Ua: ', mask1=umask,   &
+                        CALL dyn_ldf_bilap  ( kt )
+                        CALL prt_ctl( tab3d_1=ua, clinfo1=' ldf2 - Ua: ', mask1=umask,   &
             &                         tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
-         ;              CALL dyn_ldf_bilapg ( kt )
-         ;              CALL prt_ctl( tab3d_1=ua, clinfo1=' ldf3 - Ua: ', mask1=umask,   &
+                        CALL dyn_ldf_bilapg ( kt )
+                        CALL prt_ctl( tab3d_1=ua, clinfo1=' ldf3 - Ua: ', mask1=umask,   &
             &                         tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
       END SELECT
Index: trunk/NEMO/OPA_SRC/DYN/dynzdf.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynzdf.F90	(revision 683)
+++ trunk/NEMO/OPA_SRC/DYN/dynzdf.F90	(revision 684)
@@ -42,5 +42,5 @@
    !!----------------------------------------------------------------------
    !!  OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Header$
+   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/OPA_SRC/DYN/dynzdf.F90,v 1.3 2007/06/05 11:00:28 opalod Exp $
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
@@ -78,12 +78,12 @@
       !
       CASE ( -1 )                                      ! esopa: test all possibility with control print
-         ;             CALL dyn_zdf_exp    ( kt, r2dt )
-         ;             CALL prt_ctl( tab3d_1=ua, clinfo1=' zdf0 - Ua: ', mask1=umask,               &
+                       CALL dyn_zdf_exp    ( kt, r2dt )
+                       CALL prt_ctl( tab3d_1=ua, clinfo1=' zdf0 - Ua: ', mask1=umask,               &
             &                        tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
-         ;             CALL dyn_zdf_imp    ( kt, r2dt )
-         ;             CALL prt_ctl( tab3d_1=ua, clinfo1=' zdf1 - Ua: ', mask1=umask,               &
+                       CALL dyn_zdf_imp    ( kt, r2dt )
+                       CALL prt_ctl( tab3d_1=ua, clinfo1=' zdf1 - Ua: ', mask1=umask,               &
             &                        tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
-         ;             CALL dyn_zdf_imp_jki( kt, r2dt )
-         ;             CALL prt_ctl( tab3d_1=ua, clinfo1=' zdf2 - Ua: ', mask1=umask,               &
+                       CALL dyn_zdf_imp_jki( kt, r2dt )
+                       CALL prt_ctl( tab3d_1=ua, clinfo1=' zdf2 - Ua: ', mask1=umask,               &
             &                        tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
       END SELECT