Index: trunk/NEMO/OPA_SRC/DIA/diawri.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DIA/diawri.F90	(revision 709)
+++ trunk/NEMO/OPA_SRC/DIA/diawri.F90	(revision 710)
@@ -331,5 +331,5 @@
 #endif
          !                                                                                      !!! nid_U : 2D
-         CALL histdef( nid_U, "sozotaux", "Wind Stress along i-axis"           , "N/m2"   ,   &  ! taux
+         CALL histdef( nid_U, "sozotaux", "Wind Stress along i-axis"           , "N/m2"   ,   &  ! utau
             &          jpi, jpj, nh_U, 1  , 1, 1  , - 99, 32, clop, zsto, zout )
 #if defined key_dynspg_rl
@@ -348,5 +348,5 @@
 #endif
          !                                                                                      !!! nid_V : 2D
-         CALL histdef( nid_V, "sometauy", "Wind Stress along j-axis"           , "N/m2"   ,   &  ! tauy
+         CALL histdef( nid_V, "sometauy", "Wind Stress along j-axis"           , "N/m2"   ,   &  ! vtau
             &          jpi, jpj, nh_V, 1  , 1, 1  , - 99, 32, clop, zsto, zout )
 #if defined key_dynspg_rl
@@ -472,5 +472,5 @@
       CALL histwrite( nid_U, "vozoeivu", it, u_eiv         , ndim_U , ndex_U )    ! i-eiv current
 #endif
-      CALL histwrite( nid_U, "sozotaux", it, taux          , ndim_hU, ndex_hU )   ! i-wind stress
+      CALL histwrite( nid_U, "sozotaux", it, utau          , ndim_hU, ndex_hU )   ! i-wind stress
 #if defined key_dynspg_rl
       CALL lbc_lnk( spgu, 'U', -1. )
@@ -483,5 +483,5 @@
       CALL histwrite( nid_V, "vomeeivv", it, v_eiv         , ndim_V , ndex_V  )   ! j-eiv current
 #endif
-      CALL histwrite( nid_V, "sometauy", it, tauy          , ndim_hV, ndex_hV )   ! j-wind stress
+      CALL histwrite( nid_V, "sometauy", it, vtau          , ndim_hV, ndex_hV )   ! j-wind stress
 #if defined key_dynspg_rl
       CALL lbc_lnk( spgv, 'V', -1. )
@@ -651,6 +651,6 @@
       CALL histwrite( id_i, "soshfldo", 1, qsr   , jpi*jpj    , idex )    ! total heat flux
       CALL histwrite( id_i, "soicecov", 1, freeze, jpi*jpj    , idex )    ! ice cover
-      CALL histwrite( id_i, "sozotaux", 1, taux  , jpi*jpj    , idex )    ! i-wind stress
-      CALL histwrite( id_i, "sometauy", 1, tauy  , jpi*jpj    , idex )    ! j-wind stress
+      CALL histwrite( id_i, "sozotaux", 1, utau  , jpi*jpj    , idex )    ! i-wind stress
+      CALL histwrite( id_i, "sometauy", 1, vtau  , jpi*jpj    , idex )    ! j-wind stress
 
       ! 3. Close the file
Index: trunk/NEMO/OPA_SRC/DIA/diawri_dimg.h90
===================================================================
--- trunk/NEMO/OPA_SRC/DIA/diawri_dimg.h90	(revision 709)
+++ trunk/NEMO/OPA_SRC/DIA/diawri_dimg.h90	(revision 710)
@@ -41,6 +41,6 @@
     !!    To be tested with a lot of procs !!!!
     !!
-    !!  level 1:  taux(:,:) * umask(:,:,1) zonal stress in N.m-2
-    !!  level 2:  tauy(:,:) * vmask(:,:,1) meridional stress in N. m-2
+    !!  level 1:  utau(:,:) * umask(:,:,1) zonal stress in N.m-2
+    !!  level 2:  vtau(:,:) * vmask(:,:,1) meridional stress in N. m-2
     !!  level 3:   qt  (:,:)               total heat flux (W/m2)
     !!  level 4:   emp (:,:)               E-P flux (mm/day)
@@ -167,6 +167,6 @@
        sm(:,:,:)=sm(:,:,:) + sn (:,:,:)
        !
-       fsel(:,:,1 ) = fsel(:,:,1 ) + taux(:,:) * umask(:,:,1)
-       fsel(:,:,2 ) = fsel(:,:,2 ) + tauy(:,:) * vmask(:,:,1)
+       fsel(:,:,1 ) = fsel(:,:,1 ) + utau(:,:) * umask(:,:,1)
+       fsel(:,:,2 ) = fsel(:,:,2 ) + vtau(:,:) * vmask(:,:,1)
        fsel(:,:,3 ) = fsel(:,:,3 ) + qt  (:,:) 
        fsel(:,:,4 ) = fsel(:,:,4 ) + emp (:,:)
@@ -231,5 +231,5 @@
           fsel(:,:,20)= spgv(:,:)
 #endif
-          ! mask mean field with tmask except taux tauy (1,2)
+          ! mask mean field with tmask except utau vtau (1,2)
           DO jk=3,inbsel
             fsel(:,:,jk)=fsel(:,:,jk)*tmask(:,:,1)
@@ -256,6 +256,6 @@
           fsel(:,:,:) = 0._wp
           !
-          fsel(:,:,1 ) = taux(:,:) * umask(:,:,1)
-          fsel(:,:,2 ) = tauy(:,:) * vmask(:,:,1)
+          fsel(:,:,1 ) = utau(:,:) * umask(:,:,1)
+          fsel(:,:,2 ) = vtau(:,:) * vmask(:,:,1)
           fsel(:,:,3 ) = qt  (:,:) * tmask(:,:,1)
           fsel(:,:,4 ) = emp (:,:) * tmask(:,:,1)
Index: trunk/NEMO/OPA_SRC/DYN/dynzdf_exp.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynzdf_exp.F90	(revision 709)
+++ trunk/NEMO/OPA_SRC/DYN/dynzdf_exp.F90	(revision 710)
@@ -81,6 +81,6 @@
          ! Surface boundary condition
          DO ji = 2, jpim1
-            zwy(ji,1) = taux(ji,jj) * zrau0r
-            zww(ji,1) = tauy(ji,jj) * zrau0r
+            zwy(ji,1) = utau(ji,jj) * zrau0r
+            zww(ji,1) = vtau(ji,jj) * zrau0r
          END DO  
 
Index: trunk/NEMO/OPA_SRC/DYN/dynzdf_imp.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynzdf_imp.F90	(revision 709)
+++ trunk/NEMO/OPA_SRC/DYN/dynzdf_imp.F90	(revision 710)
@@ -141,8 +141,8 @@
 !!! change les resultats (derniers digit, pas significativement + rapide 1* de moins)
 !!!         ua(ji,jj,1) = ub(ji,jj,1)  &
-!!!                      + p2dt * ( ua(ji,jj,1) + taux(ji,jj) / ( fse3u(ji,jj,1)*rau0 ) )
+!!!                      + p2dt * ( ua(ji,jj,1) + utau(ji,jj) / ( fse3u(ji,jj,1)*rau0 ) )
             z2dtf = p2dt / ( fse3u(ji,jj,1)*rau0 )
             ua(ji,jj,1) = ub(ji,jj,1)  &
-                         + p2dt *  ua(ji,jj,1) + z2dtf * taux(ji,jj)
+                         + p2dt *  ua(ji,jj,1) + z2dtf * utau(ji,jj)
          END DO
       END DO
@@ -236,8 +236,8 @@
 !!! change les resultats (derniers digit, pas significativement + rapide 1* de moins)
 !!!         va(ji,jj,1) = vb(ji,jj,1)  &
-!!!                      + p2dt * ( va(ji,jj,1) + tauy(ji,jj) / ( fse3v(ji,jj,1)*rau0 ) )
+!!!                      + p2dt * ( va(ji,jj,1) + vtau(ji,jj) / ( fse3v(ji,jj,1)*rau0 ) )
             z2dtf = p2dt / ( fse3v(ji,jj,1)*rau0 )
             va(ji,jj,1) = vb(ji,jj,1)  &
-                         + p2dt * va(ji,jj,1) + z2dtf * tauy(ji,jj)
+                         + p2dt * va(ji,jj,1) + z2dtf * vtau(ji,jj)
          END DO
       END DO
Index: trunk/NEMO/OPA_SRC/DYN/dynzdf_imp_jki.F90
===================================================================
--- trunk/NEMO/OPA_SRC/DYN/dynzdf_imp_jki.F90	(revision 709)
+++ trunk/NEMO/OPA_SRC/DYN/dynzdf_imp_jki.F90	(revision 710)
@@ -105,5 +105,5 @@
             zwi(ji,1) = 0.
             zwd(ji,1) = 1. - zws(ji,1)
-            zwy(ji,1) = zwy(ji,1) + z2dtf * taux(ji,jj)
+            zwy(ji,1) = zwy(ji,1) + z2dtf * utau(ji,jj)
          END DO
 
@@ -192,5 +192,5 @@
             zwi(ji,1) = 0.e0
             zwd(ji,1) = 1. - zws(ji,1)
-            zwy(ji,1) = zwy(ji,1) + z2dtf * tauy(ji,jj)
+            zwy(ji,1) = zwy(ji,1) + z2dtf * vtau(ji,jj)
          END DO
 
Index: trunk/NEMO/OPA_SRC/SBC/sbcblk_clio.F90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/sbcblk_clio.F90	(revision 709)
+++ trunk/NEMO/OPA_SRC/SBC/sbcblk_clio.F90	(revision 710)
@@ -94,6 +94,6 @@
       !!
       !! ** Method  :   READ each fluxes in NetCDF files
-      !!      The i-component of the stress                taux   (N/m2)
-      !!      The j-component of the stress                tauy   (N/m2)
+      !!      The i-component of the stress                utau   (N/m2)
+      !!      The j-component of the stress                vtau   (N/m2)
       !!      the net downward heat flux                   qtot   (watt/m2)
       !!      the net downward radiative flux              qsr    (watt/m2)
Index: trunk/NEMO/OPA_SRC/SBC/sbcblk_core.F90
===================================================================
--- trunk/NEMO/OPA_SRC/SBC/sbcblk_core.F90	(revision 709)
+++ trunk/NEMO/OPA_SRC/SBC/sbcblk_core.F90	(revision 710)
@@ -76,6 +76,6 @@
       !!
       !! ** Method  :   READ each fluxes in NetCDF files
-      !!      The i-component of the stress                taux   (N/m2)
-      !!      The j-component of the stress                tauy   (N/m2)
+      !!      The i-component of the stress                utau   (N/m2)
+      !!      The j-component of the stress                vtau   (N/m2)
       !!      the net downward heat flux                   qtot   (watt/m2)
       !!      the net downward radiative flux              qsr    (watt/m2)
Index: trunk/NEMO/OPA_SRC/TRD/trdmod.F90
===================================================================
--- trunk/NEMO/OPA_SRC/TRD/trdmod.F90	(revision 709)
+++ trunk/NEMO/OPA_SRC/TRD/trdmod.F90	(revision 710)
@@ -124,6 +124,6 @@
                   DO ji = fs_2, fs_jpim1   ! vector opt.
                      ! save the surface forcing momentum fluxes
-                     ztswu(ji,jj) = taux(ji,jj) / ( fse3u(ji,jj,1)*rau0 )
-                     ztswv(ji,jj) = tauy(ji,jj) / ( fse3v(ji,jj,1)*rau0 )
+                     ztswu(ji,jj) = utau(ji,jj) / ( fse3u(ji,jj,1)*rau0 )
+                     ztswv(ji,jj) = vtau(ji,jj) / ( fse3v(ji,jj,1)*rau0 )
                      ! save bottom friction momentum fluxes
                      ikbu   = MIN( mbathy(ji+1,jj  ), mbathy(ji,jj) )
@@ -175,6 +175,6 @@
                DO ji = fs_2, fs_jpim1   ! vector opt.
                   ! save the surface forcing momentum fluxes
-                  ztswu(ji,jj) = taux(ji,jj) / ( fse3u(ji,jj,1)*rau0 )
-                  ztswv(ji,jj) = tauy(ji,jj) / ( fse3v(ji,jj,1)*rau0 )
+                  ztswu(ji,jj) = utau(ji,jj) / ( fse3u(ji,jj,1)*rau0 )
+                  ztswv(ji,jj) = vtau(ji,jj) / ( fse3v(ji,jj,1)*rau0 )
                   ! save bottom friction momentum fluxes
                   ikbu   = MIN( mbathy(ji+1,jj  ), mbathy(ji,jj) )
Index: trunk/NEMO/OPA_SRC/ZDF/zdfkpp.F90
===================================================================
--- trunk/NEMO/OPA_SRC/ZDF/zdfkpp.F90	(revision 709)
+++ trunk/NEMO/OPA_SRC/ZDF/zdfkpp.F90	(revision 710)
@@ -475,6 +475,6 @@
             zrhos         = rhop(ji,jj,1) + zflageos * rau0 * ( 1. - tmask(ji,jj,1) )  
             ! Friction velocity (zustar), at T-point : LMD94 eq. 2
-            ztx           = 0.5 * ( taux(ji,jj) + taux(ji - 1, jj    ) )
-            zty           = 0.5 * ( tauy(ji,jj) + tauy(ji    , jj - 1) )
+            ztx           = 0.5 * ( utau(ji,jj) + utau(ji - 1, jj    ) )
+            zty           = 0.5 * ( vtau(ji,jj) + vtau(ji    , jj - 1) )
             ztau          = SQRT( ztx * ztx + zty * zty )
             zustar(ji,jj) = SQRT( ztau / ( zrhos +  epsln ) )
Index: trunk/NEMO/OPA_SRC/ZDF/zdftke.F90
===================================================================
--- trunk/NEMO/OPA_SRC/ZDF/zdftke.F90	(revision 709)
+++ trunk/NEMO/OPA_SRC/ZDF/zdftke.F90	(revision 710)
@@ -101,5 +101,5 @@
       !!                  - ediss / emxl en**(2/3)        ! dissipation
       !!      with the boundary conditions:
-      !!         surface: en = max( emin0,ebb sqrt(taux^2 + tauy^2) )
+      !!         surface: en = max( emin0,ebb sqrt(utau^2 + vtau^2) )
       !!         bottom : en = emin
       !!      -1- The dissipation and mixing turbulent lengh scales are computed
@@ -301,5 +301,5 @@
       ! 2. Surface boundary condition on tke and its eddy viscosity (zmxlm)
       ! -------------------------------------------------
-      ! en(1)   = ebb sqrt(taux^2+tauy^2) / rau0  (min value emin0)
+      ! en(1)   = ebb sqrt(utau^2+vtau^2) / rau0  (min value emin0)
       ! zmxlm(1) = avmb(1) and zmxlm(jpk) = 0.
 !CDIR NOVERRCHK
@@ -307,6 +307,6 @@
 !CDIR NOVERRCHK
          DO ji = fs_2, fs_jpim1   ! vector opt.
-            ztx2 = taux(ji-1,jj  ) + taux(ji,jj)
-            zty2 = tauy(ji  ,jj-1) + tauy(ji,jj)
+            ztx2 = utau(ji-1,jj  ) + utau(ji,jj)
+            zty2 = vtau(ji  ,jj-1) + vtau(ji,jj)
             zesurf = zbbrau * SQRT( ztx2 * ztx2 + zty2 * zty2 )
             en (ji,jj,1) = MAX( zesurf, emin0 ) * tmask(ji,jj,1)
Index: trunk/NEMO/OPA_SRC/ZDF/zdftke_jki.F90
===================================================================
--- trunk/NEMO/OPA_SRC/ZDF/zdftke_jki.F90	(revision 709)
+++ trunk/NEMO/OPA_SRC/ZDF/zdftke_jki.F90	(revision 710)
@@ -57,5 +57,5 @@
       !!                  - ediss / emxl en**(2/3)        ! dissipation
       !!      with the boundary conditions:
-      !!         surface: en = max( emin0,ebb sqrt(taux^2 + tauy^2) )
+      !!         surface: en = max( emin0,ebb sqrt(utau^2 + vtau^2) )
       !!         bottom : en = emin
       !!      -1- The dissipation and mixing turbulent lengh scales are computed
@@ -253,10 +253,10 @@
          ! 2. Surface boundary condition on tke and its eddy viscosity (zmxlm)
          ! -------------------------------------------------
-         ! en(1)   = ebb sqrt(taux^2+tauy^2) / rau0  (min value emin0)
+         ! en(1)   = ebb sqrt(utau^2+vtau^2) / rau0  (min value emin0)
          ! zmxlm(1) = avmb(1) and zmxlm(jpk) = 0.
 !CDIR NOVERRCHK
          DO ji = 2, jpim1
-            ztx2 = taux(ji-1,jj  ) + taux(ji,jj)
-            zty2 = tauy(ji  ,jj-1) + tauy(ji,jj)
+            ztx2 = utau(ji-1,jj  ) + utau(ji,jj)
+            zty2 = vtau(ji  ,jj-1) + vtau(ji,jj)
             zesurf = zbbrau * SQRT( ztx2 * ztx2 + zty2 * zty2 )
             en (ji,jj,1) = MAX( zesurf, emin0 ) * tmask(ji,jj,1)