Index: trunk/NEMO/TOP_SRC/SMS/sms_pisces.h90
===================================================================
--- trunk/NEMO/TOP_SRC/SMS/sms_pisces.h90	(revision 729)
+++ trunk/NEMO/TOP_SRC/SMS/sms_pisces.h90	(revision 730)
@@ -66,17 +66,4 @@
       REAL(wp), DIMENSION(jpi,jpj,jpk) :: &
          sio3eq, fekeq
-!!
-!!----------------------------------------------------------------------
-!!
-!!  Variable for simplified sediments
-!!
-!! ---------------------------------------------------------------------
-!!
-      REAL(wp), DIMENSION(jpi,jpj) :: & 
-         sedpoc, sedcal, sedsil
-
-      REAL(wp) :: &
-         sedlam,sedlostpoc, sedlostsil,sedlostcal
-
 
 !!
Index: trunk/NEMO/TOP_SRC/SMS/trclsm.pisces.h90
===================================================================
--- trunk/NEMO/TOP_SRC/SMS/trclsm.pisces.h90	(revision 729)
+++ trunk/NEMO/TOP_SRC/SMS/trclsm.pisces.h90	(revision 730)
@@ -27,5 +27,5 @@
       !!---------------------------------------------------------------------
       !!  TOP 1.0 , LOCEAN-IPSL (2005) 
-   !! $Header$ 
+   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/TOP_SRC/SMS/trclsm.pisces.h90,v 1.7 2007/10/17 14:50:13 opalod Exp $ 
    !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
       !!---------------------------------------------------------------------
@@ -36,6 +36,5 @@
       NAMELIST/natext/ atcco2
       NAMELIST/natbio/caco3r, kdca, nca, part,                       &
-         &          dispo0,conc0,oxymin,grosip, sedlam,              &
-         &          sedlostpoc,sedlostcal,sedlostsil,nrdttrc,        &
+         &          dispo0,conc0,oxymin,grosip, nrdttrc,              &
          &          pislope, excret,wsbio,wchl,wchld,resrat,mprat,mzrat,   &
          &          grazrat,xprefc,xprefp,unass,xkgraz,xkmort,xksi1, &
@@ -102,12 +101,4 @@
             &   ' Phosphate half saturation                  =', conc0
          WRITE(numout,*)      &
-            &   ' Sediment bioturbation factor               =', sedlam
-         WRITE(numout,*)      &
-            &   ' Sediment burying ratio for POC             =', sedlostpoc
-         WRITE(numout,*)      &
-            &   ' Sediment burying ratio for CACO3           =', sedlostcal
-         WRITE(numout,*)      &
-            &   ' Sediment burying ratio for SI              =', sedlostsil
-         WRITE(numout,*)      &
             &   ' frequence pour la biologie                 =', nrdttrc
          WRITE(numout,*)      &
Index: trunk/NEMO/TOP_SRC/trcdtr.F90
===================================================================
--- trunk/NEMO/TOP_SRC/trcdtr.F90	(revision 729)
+++ trunk/NEMO/TOP_SRC/trcdtr.F90	(revision 730)
@@ -8,5 +8,5 @@
    !!=======================================================================================
    !!  TOP 1.0,  LOCEAN-IPSL (2005)
-   !! $Header$
+   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/TOP_SRC/trcdtr.F90,v 1.8 2007/10/17 14:48:56 opalod Exp $
    !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt
    !!----------------------------------------------------------------------
@@ -143,10 +143,4 @@
       xksi(:,:)=2.E-6
 
-!! initialize Silicate and Calcite and POC in sediments
-!! ---------------------------------------------------
-      sedcal(:,:) = 0.
-      sedsil(:,:) = 0.
-      sedpoc(:,:) = 0.
-
       IF(lwp) WRITE(numout,*) 'Initialization of PISCES tracers done'
       IF(lwp) WRITE(numout,*) ' '
Index: trunk/NEMO/TOP_SRC/trcrst.F90
===================================================================
--- trunk/NEMO/TOP_SRC/trcrst.F90	(revision 729)
+++ trunk/NEMO/TOP_SRC/trcrst.F90	(revision 730)
@@ -8,5 +8,5 @@
    !!======================================================================
    !!  TOP 1.0,  LOCEAN-IPSL (2005) 
-   !! $Header$ 
+   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/TOP_SRC/trcrst.F90,v 1.11 2007/10/17 14:48:56 opalod Exp $ 
    !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
@@ -205,8 +205,4 @@
       CALL iom_get( numrtr, jpdom_local, 'Silicalim', xksi(:,:) ) 
       xksimax = xksi
-
-      CALL iom_get( numrtr, jpdom_local, 'SED'//ctrcnm(jppoc), sedpoc(:,:) ) 
-      CALL iom_get( numrtr, jpdom_local, 'SED'//ctrcnm(jpcal), sedcal(:,:) ) 
-      CALL iom_get( numrtr, jpdom_local, 'SED'//ctrcnm(jpsil), sedsil(:,:) ) 
 
 #elif defined key_cfc
@@ -446,8 +442,4 @@
          CALL iom_rstput( kt, nitrst, numrtw, 'Silicalim', xksi(:,:) )
 
-         CALL iom_rstput( kt, nitrst, numrtw, 'SED'//ctrcnm(jppoc), sedpoc(:,:) )
-         CALL iom_rstput( kt, nitrst, numrtw, 'SED'//ctrcnm(jpcal), sedcal(:,:) )
-         CALL iom_rstput( kt, nitrst, numrtw, 'SED'//ctrcnm(jpsil), sedsil(:,:) )
-         
 #elif defined key_cfc
          DO jn=1,jptra